<?php
/*
 *
 * LiveOptim - Optimize the content of your articles and automatically tickets to easily improve your position in the results of search engines: Google, Baidu, Yandex, Bing ... 
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl.htm
 * Copyright (C) 2012 Erwan MILBEO  All rights reserved
 * For more information see the README
 * Any question will find answer on  
 * [support@liveoptim.com](mailto:support@liveoptim.com)
 * our Timelines : [US-EN](https://twitter.com/LiveOptim_US) | [FR](https://twitter.com/LiveOptim_FR) | [ES](https://twitter.com/LiveOptim_ES)
 *
 * Fichier modifConfig.class.php
 */

require_once dirname(__FILE__).'/../../lib/abstractAction.class.php';

class ModifConfigAction extends AbstractAction {
	
	/**
	 * execute
	 */
	public function execute() {
	
		if (isset($_GET['on'])){
			$on = $_GET['on'];
			$id=ConteneurConfig::getInstance()->TurnOnOff($on);
			ConteneurConfig::getInstance()->suptouscache();
			
			$this->redirection('action=lister-config');
		}
		
		else if (isset($_GET['exp'])){
			$val =array();
			for($i=0;$i<6;$i++){
				array_push($val,$_POST[(string)$i]);
			}
			$res = ConteneurConfig::getInstance()->exporter($val);

			$this->redirection("action=zip-config&noheader=true&res=".$res);
		}
		
		else if (isset($_GET['imp'])){
			if((int)$val<7){
				$val =$_POST['quoi'];
				if($text!=''){$text=$texte."\n";}
				@mkdir ("../LiveOptimTemp",0777,true);
				$chemin_destination = '../LiveOptimTemp/'; 
				$file=$chemin_destination.$_FILES['fichier_up']['name'];
				move_uploaded_file($_FILES['fichier_up']['tmp_name'], $file); 
				$this->ModifConfig = ConteneurConfig::getInstance()->import($file, $val);
				@rmdir("../LiveOptimTemp");
				ConteneurConfig::getInstance()->suptouscache();
				$this->redirection('action=upload-config&noheader=true&errors=');
			}else{
				$file=$_FILES['fichier_up']['tmp_name'];
				$etat = ConteneurConfig::getInstance()->import($file, $val);
				ConteneurConfig::getInstance()->suptouscache();
				$this->redirection('action=lister-config');
			}
		}
		
		else if (isset($_GET['sql'])){
			$val =array();
			for($i=0;$i<6;$i++){
				array_push($val,$_POST[(string)$i]);
			}
			$res = ConteneurConfig::getInstance()->sql($val);

			$this->redirection('action=lister-config&res='.$res);	
		}
		
		else if (isset($_GET['cache'])){
			ConteneurConfig::getInstance()->suptouscache();
	
			$this->redirection('action=lister-config');	
		}
		
		else{
			$this->redirection('action=lister-config');
		}
		
		
		

		
		//$this->redirection('action=lister-config');
	}
	
}
