<?php

/**
 *
 * LiveOptim - Optimize the content of your articles and automatically tickets to easily improve your position in the results of search engines: Google, Baidu, Yandex, Bing ... 
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl.htm
 * Copyright (C) 2012 Erwan MILBEO — All rights reserved
 * For more information see the README
 * Any question will find answer on  
 * [support@liveoptim.com](mailto:support@liveoptim.com)
 * our Timelines : [US-EN](https://twitter.com/LiveOptim_US) | [FR](https://twitter.com/LiveOptim_FR) | [ES](https://twitter.com/LiveOptim_ES)
 *
*/

?>
<?php 
require dirname(__FILE__).'/../lib/helper.php';


// ajout du css
wp_register_style( 'liveoptim-style', plugins_url('/style.css', __FILE__) );
wp_enqueue_style( 'liveoptim-style' );

// ajout du js
wp_register_script( 'liveoptim-script', plugins_url('/script.js', __FILE__) );
wp_enqueue_script( 'liveoptim-script' );
?>


<?php if ( $this->is_file_get_contents_disable ) { ?>
	<div style="background:none repeat scroll 0 0 #FF4040;color:white;display:block;margin:10px 0;padding:5px;text-align:center;width:800px;">
		The <em>file_get_contents ()</em> PHP function is disabled in the server configuration : <strong>allow_url_fopen=0</strong><br />
		You need to activate this function in order to run LiveOptim.
	</div>
<?php } ?>
<div id="infoPrenium" style=" margin-top:calc(); display: none;">
		<div class="header"><img src="../wp-content/plugins/liveoptim/img/logo-mkt-popup.png"></img></div>
		<div class="center">
			
			<div class="center-rigth">
				<span class="all_prod"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_ALL_PRODUCT'] ?></span>
				<img src="../wp-content/plugins/liveoptim/img/Flechegauche.png"/>
				<img src="../wp-content/plugins/liveoptim/img/Flechecentrale.png"/>
				<img src="../wp-content/plugins/liveoptim/img/Flechedroite.png"/><br />
				<div id="others_product">
					<span class="txt_other"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_OTHER_PRODUCT'] ?></span><br />
					<a class="btn_plusInfo" target="_blank" href="http://www.liveoptim.com/other-products/"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_MORE_INFO'] ?></a> 
				</div>
				<!--<span class="autre-produit"><img class="logo" src="../wp-content/plugins/liveoptim/img/LogoSMKT900.png"/><span class="text"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_TXT_MKT900'] ?><span style="font-size:10px"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_PRIX_MKT900'] ?></span></span><img class="fleche" src="../wp-content/plugins/liveoptim/img/fleche-rouge-MKT900.png"/></span>
				<span class="autre-produit"><img class="logo" src="../wp-content/plugins/liveoptim/img/LogoSO.png"/><span class="text"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_TXT_SO'] ?><span style="font-size:10px"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_PRIX_SO'] ?></span></span><img class="fleche" src="../wp-content/plugins/liveoptim/img/fleche-rose-SO.png"/></span>
				<span class="autre-produit soon"><span class="comming-soon"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_COMING_SOON'] ?></span></span>-->
			</div>
			<div class="center-left">
				<span class="logo-lo-prenium"></span>
				<span class="logo-30jours-gratuit"></span>
				<div id="conteneur-detail">
					<div>
						<span class="header-left"></span>
						<span class="header-middle"></span>
						<span class="header-right"></span>
					</div>
					<div class="middle-left">
						<div class="middle-right">
							<div class="feature-premium">
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_UN_KEY'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_UN_TARGET'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_CACHE'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_CUSTOM_TAG'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_TARGET'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_LOOP'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_CAPPING'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_EXCLUD_PAGES'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_EXECEPTION'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_SUPPORT'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_TWITER'] ?></span>
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_HOTLINE'] ?></span><br />
								<span class="detail"><img src="../wp-content/plugins/liveoptim/img/PictoValid.png"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_CHAT'] ?> </span><br />
								<a class="btn_Prenuim" href="admin.php?page=liveoptim&#38;action=update&noheader=true"><?php echo $langue['COM_LIVEOPTIM_FNT_PRE_UPGRADE'] ?></a> 
							</div>
						</div>						
					</div>
					<div class="footer-left">
						<div class="footer-right">
							<span class="footer-middle"></span>
						</div>
					</div>
				</div>
				
			</div>
			
		</div>
		<div ><img class="close" onclick="displayInfoPrenium()" src="../wp-content/plugins/liveoptim/img/close.png"></img></div>
		
	</div>
<div class="wrap">
	<div style='width: 100%; background-color: #787878; text-align: center; padding:5px 0 5px 0;<?php echo $margin ?>'>
		<p style='color: #FFFFFF;'><?php echo $langue['COM_LIVEOPTIM_LICENCE_FREE']."<br />". $langue['COM_LIVEOPTIM_BOUTON_PRENIUM'];?></p>
	</div>
	
	<?php include dirname(__FILE__).'/'.$this->template; ?>
</div>